import javax.swing.*;
import java.util.Arrays;

public class EyeView extends JPanel {
    private Eye eyeObj;
    private JLabel label;
    private JList colorsList;

    /**
     * @param eyeObj
     */
    EyeView(Eye eyeObj) {
        setEyeObj(eyeObj);
        this.label = new JLabel();
        this.label.setText("Eyes color");
        this.colorsList = new JList<>(this.getEyeObj().getColorsList());
        this.colorsList.setSelectionMode(ListSelectionModel.SINGLE_SELECTION);
        this.colorsList.setLayoutOrientation(JList.VERTICAL);
        this.colorsList.setSelectedIndex(Arrays.asList(this.getEyeObj().getColorsList()).indexOf(this.getEyeObj().getStrColor()));
        add(label);
        add(colorsList);
    }

    /**
     * @return
     */
    public Eye getEyeObj() {
        return eyeObj;
    }

    /**
     * @param eyeObj
     */
    public void setEyeObj(Eye eyeObj) {
        this.eyeObj = eyeObj;
    }

    public JList getColorsList() {
        return colorsList;
    }
}
